Name:           ifm
Version:        5.1
Release:        3%{?dist}
Summary:        Interactive Fiction Mapper

Group:          Amusements/Games
License:        GPL
URL:            http://www.sentex.net/~dchapes/ifm/
Source0:        http://www.ifarchive.org/if-archive/mapping-tools/ifm-%{version}.tar.gz
Source1:        ifm.vim
Source2:        ifm.sh
Patch1:         ifm-5.1-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tk
BuildRequires:  zlib-devel

%description
IFM is a language and a program for keeping track of your progress through
an Interactive Fiction game.  You can record each room you visit and its
relation to other rooms, the initial locations of useful items you find, and
the tasks you need to perform in order to solve the game.


%prep
%setup -q
%patch1 -p1
install -pm 0644 %{SOURCE1} doc/.
install -pm 0644 %{SOURCE2} doc/.
sed -i -e 's,/usr/local/doc/ifm/html,%{_docdir}/%{name}-%{version}/ifm,' \
       -e 's,/usr/local/doc/ifm/ifm.pdf,%{_docdir}/%{name}-%{version}/ifm.pdf,' \
       doc/ifm.1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_prefix}/doc
rm -f demos/Makefile*
rm -f doc/ifm/WARNINGS doc/ifm/images.* doc/ifm/*.pl


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README THANKS
%doc demos/
%doc doc/advent?.scr doc/advent.cmd doc/gfdl.lyx doc/ifm.pdf doc/macros.tex doc/tkifm.txt doc/*.ifm doc/ifm.vim doc/ifm.sh
%doc doc/ifm/
%{_bindir}/*
%{_datadir}/ifm/
%{_libdir}/ifm/
%{_mandir}/man1/ifm.1*


%changelog
* Sun Aug  6 2006 Chris Grau <chris@chrisgrau.com> 5.1-3
- Fixed file permission issue (bug #200828).

* Mon Sep 26 2005 Chris Grau <chris@chrisgrau.com> 5.1-2
- Added tk as a BR for the wish requirement in configure.
- Fixed paths in man page to point to proper documentation.
- Replaced instance of /usr with %%{_prefix}.

* Sun Sep  4 2005 Chris Grau <chris@chrisgrau.com> 5.1-1
- Initial build.
